/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 5)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
/******************************************************************************/
(instance public rm005 of Rm
	(properties
		picture scriptNumber
		north 0
		east 6
		south 0
		west 4
	)
	(method (init)
		(super:init())
        (self:setScript(RoomScript))
            (if(not (send gEgo:has(INV_PUMPKIN)))
            (thePumpkin:
                init()
                setCycle(Fwd)
            )
            )
		(switch(gPreviousRoomNumber)
        (case 4
        (send gEgo:
            posn(20 180)
            loop(0)
        )
    )
    (case 6
      (send gEgo:
          posn(270 180)
          loop(1)
      )
    )
    )
		SetUpEgo()
		(send gEgo:init())
	)
 )
/******************************************************************************/
(instance RoomScript of Script
	(properties)
        (method (handleEvent pEvent)
        (super:handleEvent(pEvent))
        (if(Said('look/pumpkin'))
            (if(send gEgo:has(INV_PUMPKIN))
            Print(
                "This is a pumpkin.  That is all."
                #title "Pumpkin"
                #icon 14 0 0
            )
            )(else
                Print("There is a weird looking pumpkin on the ground.")
            )
        )
        (if(Said('get/pumpkin'))
            (if(send gEgo:has(INV_PUMPKIN))
            Print("You already have it!")
            )(else
                (if(send gEgo:inRect(150 150 190 190))
                Print("O.K.")
                (send gEgo:get(INV_PUMPKIN))
                (send gGame:changeScore(2))
                (send gTheMusic:
			         prevSignal(0)
			         stop()
			         number(900)
			         loop(0)
			         play()
                )
                (thePumpkin:hide())
                )(else
                    Print("You're not close enough!")
                )
            )
        )
        )
)
/******************************************************************************/
(instance thePumpkin of Prop
  (properties
    y 160
    x 180
    view 10
  )
)
