/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 9)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
/******************************************************************************/
(instance public rm009 of Rm
	(properties
		picture scriptNumber
		north 0
		east 10
		south 0
		west 6
	)
(method (init)
		(super:init())
		(self:setScript(RoomScript))
        (aDoor:init())
    (switch(gPreviousRoomNumber)
    (case 6
        (send gEgo:
            posn(20 180)
            loop(0)
        )
    )
    (case 11
        (send gEgo:
            posn(112 169)
            loop(2)
        )
    )
    (case 10
        (send gEgo:
            posn(270 180)
            loop(1)
        )
    )
)
		SetUpEgo()
		(send gEgo:init())
        (send gTheMusic:
			prevSignal(0)
			stop()
			number(5)
			loop(-1)
			play()
		)
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
        (method (handleEvent pEvent)
        (super:handleEvent(pEvent))
        (if(Said('open/door'))
            (aDoor:open())
        )
        (if(Said('close/door'))
            (aDoor:close())
        )
        (if(Said('look>'))
          (if(Said('/door'))
            Print("The Door to Moe's Tavern.")
            )(else
              (if(Said('/room'))
                Print("You are outside Moe's Tavern.")
              )
            )
          )
        )
        )
/******************************************************************************/
(instance aDoor of Door
  (properties
    y 159
    x 115
    view 13
    entranceTo 11
    locked FALSE
  )
)
